package com.gxzc.zen.common.dto

import org.springframework.web.multipart.MultipartFile

/**
 * 文件DTO
 * @author NorthLan
 * @date 2018/5/18
 * @url https://noahlan.com
 */
open class ZenMultipartFileDTO {
    var chunkNumber: Int? = null
    var chunkSize: Long? = null
    var currentChunkSize: Long? = null
    var totalSize: Long? = null
    var identifier: String? = null
    var filename: String? = null
    var relativePath: String? = null
    var totalChunks: Int? = null
    var file: MultipartFile? = null
    // 是否保留源文件夹结构
    var rename: Boolean? = false

    override fun toString(): String {
        return "ZenMultipartFileDTO(chunkNumber=$chunkNumber, chunkSize=$chunkSize, currentChunkSize=$currentChunkSize, totalSize=$totalSize, identifier=$identifier, filename=$filename, relativePath=$relativePath, totalChunks=$totalChunks, file=$file)"
    }


}